package com.ruoyi.common.importExcel.annotation;

import org.apache.commons.lang3.StringUtils;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 缓存注解
 *
 * @author CAC
 * @date 2020-04-01 12:00:00
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Cached {

    /**
     * 过期时间，默认5秒
     */
    long expiry() default 5;

    String key() default StringUtils.EMPTY;
}
