package com.ruoyi.common.importExcel.excel.tempInfo;


import com.ruoyi.common.importExcel.annotation.ExcelSheetColumn;
import com.ruoyi.common.importExcel.annotation.ExcelSheetInfo;
import com.ruoyi.common.importExcel.excel.helper.BasicExcelHelper;
import lombok.Data;


import static com.ruoyi.common.importExcel.excel.ExcelCellValueType.DECIMAL;
import static com.ruoyi.common.importExcel.excel.ExcelCellValueType.NUMBER;

@Data
@ExcelSheetInfo()
public class PriceFormBasicInfoHelper extends BasicExcelHelper {
    //基价信息
    @ExcelSheetColumn(index = 0, colName = "关联参数1", maxLength = 500, notBlank = false)
    private String relatedPara1;
    @ExcelSheetColumn(index = 1, colName = "关联参数2", maxLength = 500, notBlank = false)
    private String relatedPara2;
    @ExcelSheetColumn(index = 2, colName = "关联参数3", maxLength = 500, notBlank = false)
    private String relatedPara3;
    @ExcelSheetColumn(index = 3, colName = "关联参数4", maxLength = 500, notBlank = false)
    private String relatedPara4;
    @ExcelSheetColumn(index = 4, colName = "关联参数5", maxLength = 500, notBlank = false)
    private String relatedPara5;
    @ExcelSheetColumn(index = 5, colName = "开门宽", type = NUMBER, notBlank = false)
    private String standardDoorWidth;
    @ExcelSheetColumn(index = 6, colName = "开门高", type = NUMBER, notBlank = false)
    private String standardDoorHeight;
    @ExcelSheetColumn(index = 7, colName = "最大提升高度", type = NUMBER, notBlank = false)
    private String maxLiftingHeight;
    @ExcelSheetColumn(index = 8, colName = "标准层站数", type = NUMBER, notBlank = false)
    private String standardFloors;
    @ExcelSheetColumn(index = 9, colName = "基础价格", type = NUMBER, notBlank = false)
    private String basicPrice;
    @ExcelSheetColumn(index = 10, colName = "层站加价", type = NUMBER, notBlank = false)
    private String addOnefloorPrice;
    @ExcelSheetColumn(index = 11, colName = "层站减价", type = NUMBER, notBlank = false)
    private String subtractOnefloorPrice;
    @ExcelSheetColumn(index = 12, colName = "备注", maxLength = 500, notBlank = false)
    private String remark;
}
