package com.ruoyi.project.business.domain.vo.project;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author fangk
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Accessors(chain = true)
public class ProjectEquipmentReq {

    private Long id;

    /**
     * 关联项目Id
     */
    private Long projectId;

    /**
     * 设备数量
     */
    private Long equipmentQuantity;

    /**
     * 梯型
     */
    private String elevatorModel;
    
    /**
     * 设备类型
     */
    private String equipmentType;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 设备移除ids
     */
    private List<Long> removeIds;

}
