package com.ruoyi.project.business.domain.vo.quotation;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class QuotationContractVo {
    /**电梯编号*/
    private String elevatorCode;
    /**来源*/
    private String origin;
    /**设备类型*/
    private String elevatorType;
    /**梯型*/
    private String elevatorModel;
    /**规格*/
    private String specification;
    /**项目名称*/
    private String projectName;
    /**报价编号-版本号*/
    private String quotationNoVersion;
    /**报价者*/
    private String quoter;
    /**数量*/
    private Long count;
    /**单价*/
    private String unitPrice;
    /**报价折扣*/
    private String quotationDiscount;
    /**附加费用*/
    private BigDecimal additionalCost;
    /***/
    private String quotationNo;
    /***/
    private String version;
    /**代理商*/
    private String agentId;
    /**产品类别*/
    private String productCategory;

    /**币种*/
    private Long currencyId;

    /**预计内陆运费*/
    private BigDecimal planInlandFreightCost;

    /**预计海运费*/
    private BigDecimal planOceanFreight;

    /**评审运费*/
    private BigDecimal reviewShippingCosts;

    /**评审佣金*/
    private BigDecimal reviewCommission;

    /**其他费用*/
    private BigDecimal otherFees;

    /** 电梯总价 */
    private BigDecimal liftAmount;

    /** 报价状态 */
    private String quotationStatus;

}
