package com.ruoyi.project.business.domain.vo.train;

import com.ruoyi.project.business.domain.train.TtFileDatabase;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author fangk
 * @date 2024/5/23
 * @desc FileDatabaseReq search
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class FileDatabaseRes extends TtFileDatabase {


    private String createByName;

    private String updateByName;

    /**
     * 文件地址
     */
    private String url;

    /**
     * 可见范围 names
     */
    private String visibleRangeNames;


    /**
     * 角色可见范围
     */
    private String visibleRange1Names;
    
    /**
     * 区域可见范围
     */
    private String visibleRange2Names;
}