package com.ruoyi.project.business.dto;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.project.business.domain.TpElevatorModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TpElevatorModelDto extends TpElevatorModel {

    /**
     * 区域名称
     */
    @Excel(name = "区域名称（英）", i18nCode = "area.areaNameUS")
    private String areaNameUS;

    /**
     * 区域名称
     */
    @Excel(name = "区域名称（俄）", i18nCode = "area.areaNameRU")
    private String areaNameRU;

    /**
     * 区域名称
     */
    @Excel(name = "区域名称（西）", i18nCode = "area.areaNameES")
    private String areaNameES;

    private Long elevatorModelId;
    private Long[] selectedModelIds;
}
