package com.ruoyi.project.business.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.business.mapper.TcProjectEquipmentHistoryMapper;
import com.ruoyi.project.business.domain.TcProjectEquipmentHistory;
import com.ruoyi.project.business.service.ITcProjectEquipmentHistoryService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-22
 */
@Service
public class TcProjectEquipmentHistoryServiceImpl extends ServiceImpl<TcProjectEquipmentHistoryMapper, TcProjectEquipmentHistory> implements ITcProjectEquipmentHistoryService
{
    @Autowired
    private TcProjectEquipmentHistoryMapper tcProjectEquipmentHistoryMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TcProjectEquipmentHistory selectTcProjectEquipmentHistoryById(Long id)
    {
        return tcProjectEquipmentHistoryMapper.selectTcProjectEquipmentHistoryById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tcProjectEquipmentHistory 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TcProjectEquipmentHistory> selectTcProjectEquipmentHistoryList(TcProjectEquipmentHistory tcProjectEquipmentHistory)
    {
        return tcProjectEquipmentHistoryMapper.selectTcProjectEquipmentHistoryList(tcProjectEquipmentHistory);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tcProjectEquipmentHistory 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTcProjectEquipmentHistory(TcProjectEquipmentHistory tcProjectEquipmentHistory)
    {
        tcProjectEquipmentHistory.setCreateTime(DateUtils.getNowDate());
        return tcProjectEquipmentHistoryMapper.insertTcProjectEquipmentHistory(tcProjectEquipmentHistory);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tcProjectEquipmentHistory 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTcProjectEquipmentHistory(TcProjectEquipmentHistory tcProjectEquipmentHistory)
    {
        tcProjectEquipmentHistory.setUpdateTime(DateUtils.getNowDate());
        return tcProjectEquipmentHistoryMapper.updateTcProjectEquipmentHistory(tcProjectEquipmentHistory);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTcProjectEquipmentHistoryByIds(Long[] ids)
    {
        return tcProjectEquipmentHistoryMapper.deleteTcProjectEquipmentHistoryByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTcProjectEquipmentHistoryById(Long id)
    {
        return tcProjectEquipmentHistoryMapper.deleteTcProjectEquipmentHistoryById(id);
    }
}
