package com.ruoyi.project.business.service.train;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.importExcel.excel.helper.BasicTableInfoHelper;
import com.ruoyi.common.importExcel.excel.tempInfo.TrainQuestionHelper;
import com.ruoyi.common.importExcel.utils.ExcelUtils;
import com.ruoyi.project.business.domain.dto.TtQuestionDatabaseDto;
import com.ruoyi.project.business.domain.train.TtQuestionDatabase;
import com.ruoyi.project.business.domain.vo.train.QuestionDatabaseReq;
import com.ruoyi.project.business.domain.vo.train.QuestionDatabaseRes;

import java.util.List;

/**
 * @author fangk
 * @description 针对表【tt_question_database】的数据库操作Service
 * @createDate 2024-05-20 15:28:25
 */
public interface ITtQuestionDatabaseService extends IService<TtQuestionDatabase> {


    List<QuestionDatabaseRes> list(QuestionDatabaseReq req);

    ExcelUtils.UploadResult<TrainQuestionHelper> checkQuestionInfo(BasicTableInfoHelper basicTableInfoHelper, List<TrainQuestionHelper> trainQuestionHelpers);

    List<TtQuestionDatabase> insertQuestionExcel(BasicTableInfoHelper basicTableInfoHelper, List<TrainQuestionHelper> transform);

    List<TtQuestionDatabase> selectRandomQuestionList(Integer num);

    List<TtQuestionDatabase> selectRandomQuestionListByNum(List<TtQuestionDatabaseDto> ttQuestionDatabaseDtos);
}
