package com.ruoyi.project.common.mapper;

import com.ruoyi.project.common.dto.ExclusiveDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author lidl
 */
public interface ExclusiveMapper {
    /**
     * 排他公共sql  根据表名 主键名 主键值  获取更新时间
     * @param exclusiveDto
     * @return
     */
    ExclusiveDto getExclusive(ExclusiveDto exclusiveDto);


    /**
     * 批量排他公共sql  根据表名 主键名 主键值  获取更新时间
     * @param exclusiveDto
     * @param list
     * @return
     */
    List<ExclusiveDto> getExclusives(@Param("dto") ExclusiveDto exclusiveDto, @Param("list") List<ExclusiveDto> list);
}
