package com.ruoyi.project.business.domain.flow;

import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Data;

@Data
public class FlowTaskRemark extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 审批意见主键
     */
    private String remarkId;

    /**
     * 审批任务编号
     */
    private String flowTaskId;

    /**
     * 审批编号
     */
    private String flowId;

    /**
     * 意见内容
     */
    private String remark;

    /**
     * 审批状态 3.已通过 4.已退回 5.已评审
     */
    private Integer status;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    private String delFlag;


}
