package com.ruoyi.project.business.domain.vo.board;

import lombok.Data;

import java.util.List;

/**
 * @Author renzx
 * @Date 2024/8/29
 * @Description 新代理商成单统计 报表
 **/
@Data
public class AgentCompleteOrder {

    /** 区域ID */
    private List<Long> areaId;
    /** 国家ID */
    private List<Long> countryId;
    /** 代理商 */
    private List<Long> agentId;
    /** 客户名 */
    private String accountName;
    /** 城市 */
    private String city;

    /** 年份 */
    private String yearParam;
    private List<Integer> weeks;
    private String language;
    // 带逗号
    private String permissionChar;
    // 不带逗号
    private String permission;
    private Long loginUserId;
    private boolean showColumn;
    /** 年度销售目标台数 */
    private Integer targetElevatorCount;

}
