package com.ruoyi.project.business.domain.vo.project;

import com.ruoyi.project.business.domain.TcProjectEquipment;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author : fangk
 * @date : 2024/7/9 15:32
 * @desc : 项目设备信息 新增/修改 req
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Accessors(chain = true)
public class ProjectSaveOrUpdateEquipmentReq {
    
    private List<Long> removeIds;
    
    private List<TcProjectEquipment> saveOrUpdateList;
}
