package com.ruoyi.project.business.domain.vo.train;

import com.ruoyi.project.business.domain.train.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 【trainVO】对象 tt_train
 *
 * @author zhouy
 * @date 2024-06-18
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TtTrainVo extends TtTrain
{
    // 创建者姓名
    private String createByName;

    /** 培训完成率*/
    private String trainingCompletionRate;

    /** 考核完成率*/
    private String assessmentCompletionRate;

    /** 培训考核详细*/
    private List<TtTestPaper> ttTestPaperList;

    /** 培训试题详细列表*/
    private List<TtTestPaperDetailVo> ttTestPaperDetailList;

    /** 培训附件列表*/
    private List<TtTrainFile> ttTrainFileList;

    /** 培训对象列表*/
    private List<TtTrainTargetVo> ttTrainTargetList;
}
