package com.ruoyi.project.business.dto;

import lombok.Data;

import java.util.List;

@Data
public class ContractSigningStatistic {

    private Integer year;
    private Integer week;

    // 1. 各区域本周、月电梯（签单、排产、发货）数量统计
    private String areaCountStatisticsTitle;
    private List<List<String>> areaCountStatistics;
    // 2. 全年月度（签单、排产、发货）数量统计
    private String monthCountStatisticsTitle;
    private List<List<String>> monthCountStatistics;
    // 3. 全年周（签单、排产、发货）数量统计
    private String weekCountStatisticsTitle;
    private List<List<String>> weekCountStatistics;
    // 4. 全年各区域签约金额统计
    private String signingAreaColStatisticsTitle;
    private List<List<String>> signingAreaColStatistics;
    // 5. 全年各区域排产金额统计
    private String productionAreaColStatisticsTitle;
    private List<List<String>> productionAreaColStatistics;
    // 6. 全年各区域发货金额统计
    private String deliveryMonthColStatisticsTitle;
    private List<List<String>> deliveryMonthColStatistics;
    // 7. 全年各区域排产金额统计
    private String productionMonthColStatisticsTitle;
    private List<List<String>> productionMonthColStatistics;

}
