package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.train.TtFileDirectory;
import com.ruoyi.project.business.domain.vo.train.FileDirReq;
import org.apache.ibatis.annotations.Insert;

import java.util.List;

/**
 * @author fangk
 * @description 针对表【tt_file_directory】的数据库操作Mapper
 * @createDate 2024-05-20 15:28:25
 * @Entity com.ruoyi.project.business.domain.train.TtFileDirectory
 */
public interface TtFileDirectoryMapper extends BaseMapper<TtFileDirectory> {

    /**
     * 查询列表-指定范围
     * 
     * @param build 查询条件
     */
    List<TtFileDirectory> listRange(FileDirReq build);

    //@Insert("insert into tt_file_directory (id, derectory_name, super_directory) values (0, #{dataFolder}, null)")
    //int insertRootDirectory(String dataFolder);
}




