package com.ruoyi.project.business.service;

import java.util.List;

import com.ruoyi.project.business.domain.TpParaLibrary;
import com.ruoyi.project.business.domain.TpParabarDetailValue;

/**
 * 参数包配置参数详情Service接口
 * 
 * @author ruoyi
 * @date 2024-04-28
 */
public interface ITpParabarDetailValueService 
{
    /**
     * 查询参数包配置参数详情
     * 
     * @param id 参数包配置参数详情主键
     * @return 参数包配置参数详情
     */
    public TpParabarDetailValue selectTpParabarDetailValueById(Long id);

    /**
     * 查询参数包配置参数详情列表
     * 
     * @param tpParabarDetailValue 参数包配置参数详情
     * @return 参数包配置参数详情集合
     */
    public List<TpParabarDetailValue> selectTpParabarDetailValueList(TpParabarDetailValue tpParabarDetailValue);

    /**
     * 新增参数包配置参数详情
     * 
     * @param tpParabarDetailValue 参数包配置参数详情
     * @return 结果
     */
    public int insertTpParabarDetailValue(TpParabarDetailValue tpParabarDetailValue);

    /**
     * 修改参数包配置参数详情
     * 
     * @param tpParabarDetailValue 参数包配置参数详情
     * @return 结果
     */
    public int updateTpParabarDetailValue(TpParabarDetailValue tpParabarDetailValue);

    /**
     * 批量删除参数包配置参数详情
     * 
     * @param ids 需要删除的参数包配置参数详情主键集合
     * @return 结果
     */
    public int deleteTpParabarDetailValueByIds(Long[] ids);

    /**
     * 删除参数包配置参数详情信息
     * 
     * @param id 参数包配置参数详情主键
     * @return 结果
     */
    public int deleteTpParabarDetailValueById(Long id);
}
