package com.ruoyi.project.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.common.domain.MessageChatContent;
import com.ruoyi.project.common.dto.MessageChatContentDto;

import java.util.List;

/**
 * 聊天记录Mapper接口
 *
 * @author jubs
 * @date 2024-05-14
 */
public interface MessageChatContentMapper extends BaseMapper<MessageChatContent> {


    List<MessageChatContentDto> getMessageChatContentList(Long chatRoomId);
    List<MessageChatContentDto> getMessageChatContentListPage(Long chatRoomId);

    List<MessageChatContentDto> getContentByUserIds(List<Long> userIds);
}
